# path::has-extension

Determines whether a path string includes an extension.

### Usage

`bool path::has-extension(path)`

### Parameters

Name | Type | Description
--- | --- | ---
path | string | The path to search for an extension.

### Return Value

true. if the characters that follow the last directory separator or volume separator in the path include a period (.) followed by one or more characters; otherwise, false.

### Exceptions

The function will fail in any of the following circumstances:

- path contains one or more invalid characters.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)